### Function

# GLib ascii_tolower

#### Declaration [src]

    gchar
    g_ascii_tolower (
      gchar c
    )

#### Description [src]

Convert a character to ASCII lower case. If the character is not an ASCII upper case letter, it is returned unchanged.

Unlike the standard C library `tolower()` function, this only recognizes standard ASCII letters and ignores the locale, returning all non-ASCII characters unchanged, even if they are lower case letters in a particular character set. Also unlike the standard library function, this takes and returns a char, not an int, so don’t call it on `EOF` but no need to worry about casting to `guchar` before passing a possibly non-ASCII character in.

#### Parameters

`c`

  Type: `gchar`

  Any character.

#### Return value

Type: `gchar`

The result of the conversion.